*{
    padding: 0;
    margin: 0;
}
:root{
    --red:var(--green);
    --green:rgb(10, 114, 41);
}

/* Scroll */
/* Firefox (uncomment to work in Firefox, although other properties will not work!)  */
/** {
  scrollbar-width: thin;
  scrollbar-color: #0A7229 #DFE9EB;
}*/

/* Chrome, Edge and Safari */
*::-webkit-scrollbar {
    height: 8px;
    width: 8px;
}

*::-webkit-scrollbar-track {
    border-radius: 18px;
    background-color: #DFE9EB;
    border: 3px solid #FFFFFF;
}

*::-webkit-scrollbar-track:hover {
    background-color: #B8C0C2;
}

*::-webkit-scrollbar-track:active {
    background-color: #B8C0C2;
}

*::-webkit-scrollbar-thumb {
    border-radius: 8px;
    background-color: #0A7229;
}

*::-webkit-scrollbar-thumb:hover {
    background-color: #0A7229;
}

*::-webkit-scrollbar-thumb:active {
    background-color: #0A7229;
}
.scroll{
    overflow-x: scroll !important;
    overflow-y: hidden;
}
.scroll-y {
    overflow-x: hidden;
    overflow-y: scroll !important;
}
/* end Scroll */

.text-main{
    color: var(--green);
}
.btn-main{
    background-color: var(--green);
    color: white;
}
.btn:hover {
    color: #ffffff;
}
.livewire{
    min-height: 100vh;
}
.home{
    background-color: rgb(15, 15, 17);
    overflow-x: hidden;
}
nav{
    z-index: 1000;
}
.footer{
    background-color: rgb(33, 37, 41);
    
}
.goog-te-gadget {
    font-family: arial;
    font-size: 11px;
    color: red;
    white-space: nowrap;
    font-family: "Roboto Mono", monospace;
}
.navbar{
    position: fixed;
    top: 0;
    right: 0;
    width: 100vw;
}
.navbar-nav .translate-dropdown {
    background-color: transparent;
}
#google_translate_element{
    background-color: transparent;
}
.container{
    overflow-x: hidden;
}
.first-container{
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    font-family: "Roboto Mono", monospace;
}
.form-white.input-group>.form-control:focus {
    border-color: #fff;
    box-shadow: inset 0 0 0 1px #fff;
}

.navbar-dark .navbar-nav .nav-link {
    color: #fff;
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link:focus {
    color:var(--green);
}
.nav-link.active{
    border-bottom: 2px solid var(--green);
}
.hero-image{
    border-radius: 50%;
}
@keyframes scrollingdown {
    50% {
        transform: translateY(50px);
        opacity: 0.5;
    }

    100% {
        transform: translateY(100px);
        opacity: 0;
    }
}

/* Apply the animation to an element */
.scrolling-down {
    animation: scrollingdown 2s linear infinite ;
}

.motto, .hero-content, .hero-sumarry, .myproject{
    color: white;
    font-family: "Roboto Mono", monospace;
    text-align: justify;
}
.hero-sumarry ul li{
    list-style: none;
    padding: 5px 0px;
}
.hero-sumarry ul{
    padding-left: 0;
}
.hero-sumarry ul li a{
    color: white;
    cursor: pointer;
    text-decoration: none;
}
.motto h1{
    border-bottom: 5px solid var(--green);
    width: 300px;
}
.hero-content h1 {
    border-bottom: 5px solid var(--green);
    width: 200px;
}
.hero-sumarry h1 {
    border-bottom: 5px solid var(--green);
    width: 200px;
}
.myproject h1 {
    color: white;
    font-family: "Roboto Mono", monospace;
    border-bottom: 5px solid var(--green);
    width: 250px;
}
.project-link a{
    text-decoration: none;
    color: white;
}
.highlight{
    color: var(--green);
}
@media only screen and (max-width: 600px) {
    .motto h1 {
            border-bottom: 5px solid var(--green);
            width: 210px;
        }
    
        .hero-content h1 {
            border-bottom: 5px solid var(--green);
            width: 150px;
        }
        .hero-sumarry h1 {
            border-bottom: 5px solid var(--green);
            width: 125px;
        }
        .myproject h1 {
            color: white;
            font-family: "Roboto Mono", monospace;
            border-bottom: 5px solid var(--green);
            width: 180px;
        }
}
.banner h1{
    font-size: 1.3em;
    padding-right: 15px;
}
.btn-sort-by{
    background-color: transparent;
    padding: 5px 10px;
    text-decoration: none;
    color: black;
    border: none;
    outline: none;
    border-bottom: 2px solid var(--green);
    font-family: "Montserrat", sans-serif;
}
.btn-sort-by:hover{
    color: var(--green);
}
.btn-talk button{
    width: 100px;
    height: 40px;
    border: 2px solid var(--green);
    outline: none;
    border-radius: 3px;
    background-color: transparent;
    font-family: "Montserrat", sans-serif;
}
.btn-talk button a{
    color: var(--green);
    text-decoration: none;
}
.btn-talk button:hover a{
    color: white;
    text-decoration: none;
}
.btn-talk button:hover{
    background-color: var(--green);
    transition: 1s;
}
.banner, .blog-list{
    font-family: "Montserrat", sans-serif;
    text-align: justify;
}
.btn-read{
    background-color: transparent;
    border: 2px solid var(--green);
    border-radius: 3px;
    padding: 5px 10px;
}
.btn-read:hover{
    background-color: var(--green);
    transition: 1s;
    cursor: pointer;
}
.btn-read a{
    text-decoration: none;
    color: var(--green);
}
.btn-read:hover a{
    color: white;
    transition: 1s;
}
.list-content-3{
    margin-bottom: 0px;
}
.list-content-1 p {
    margin-bottom: 0px;
    font-weight: 500;
    letter-spacing: 5px;
}
.list-content-3 p {
    margin-bottom: 0px;
    font-size: 0.8em;
    color: rgb(0, 0, 0, 0.8);
}

.list-content-4 p {
    font-size: 0.8em;
    margin-bottom: 5px;
    color: rgb(0, 0, 0, 0.8);
}
.blog-detail{
    font-family: "Montserrat", sans-serif;
    text-align: justify;
}
.comment-input {
    display: flex;
    align-items: center;
    position: relative;
    max-width: 100%;
}

.comment-input .input {
    font-size: 15px;
    padding: 5px 10px;
    padding-left: 31px;
    outline: none;
    background: #FFFFFF;
    color: #000000;
    border: 1px solid #C4D1EB;
    border-radius: 5px;
    box-shadow: 3px 3px 2px 0px #E2E2E2;
    transition: .3s ease;
    min-width: 250px;
    min-height: 100px;
}

.comment-input .input:focus {
    background: #ffffff;
    border: 1px solid var(--green);
    border-radius: 10px;
}

.comment-input .input::placeholder {
    color: #AFAFAF;
}

.comment-input .svg_icon {
    position: absolute;
    top: 10px;
    left: 10px;
    fill: var(--green);
    width: 15px;
    height: 15px;
}
.fa-paper-plane{
    color: var(--green);
}
.comment-input button{
    border: none;
    outline: none;
    background-color: transparent;
}
.netizen{
    font-family: "Montserrat", sans-serif;
    text-align: justify;
}
.comment-username p{
    margin-bottom: -5px;
    font-weight: 600;
}
.comment-username small {
    font-size: 0.8em;
    color: rgb(0, 0, 0,0.5);
}
.view-comment-like a{
    text-decoration: none;
    color: white;
}

.comment-content{
    box-shadow: 3px 3px 8px 0px rgba(0, 0, 0, 0.4);
    border-radius: 5px;
    overflow-wrap: break-word;
        /* Atau gunakan word-wrap: break-word; */
        word-break: break-word;
        /* Untuk memastikan kata yang panjang juga dipotong */
}
.like-button {
    background-color: transparent;
    border: 2px solid var(--green);
    color: var(--green);
    padding: 0px 0px;
    height: 30px;
    width: 100px;
    border-radius: 5px;
    font-size: 1em;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
}

.like-button:hover {
    background-color: var(--green);
    color: white;
}

.like-button.liked {
    background-color: var(--green);
    color: white;
}
.like-btn {
    background-color: transparent;
    color: black;
    font-size: 1em;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    border: none;
    outline: none;
    margin-top: -16px;
}


.like-btn.liked {
    color: var(--green);
}
.notification-content a{
    color: black;
    text-decoration: none;
}
.notification-container{
    background-color: rgb(255, 255, 255);
    border-radius: 5px;
    box-shadow: 5px 11px 6px -3px rgba(0, 0, 0, 0.22);
        -webkit-box-shadow: 5px 11px 6px -3px rgba(0, 0, 0, 0.22);
        -moz-box-shadow: 5px 11px 6px -3px rgba(0, 0, 0, 0.22);
}
.navbar-menu .btn-secondary {
    color: #fff;
    background-color: transparent;
    border-color: transparent;
    padding: 8px 0px;
    border: none;
    outline: none;
}
.navbar-menu .btn-secondary:hover {
    color: #fff;
    background-color: transparent;
    border-color: transparent;
    border: none;
        outline: none;
}
.navbar-menu .btn-secondary:focus {
    color: #fff;
    background-color: transparent;
    border-color: transparent;
    border: none;
    outline: none;
    box-shadow: none;
}
.navbar-toggler:focus {
    text-decoration: none;
    outline: 0;
    box-shadow: none;
}
.modal-delete {
    color: #636363;
    width: 90vw;
}

.modal-delete .modal-content {
    padding: 20px;
    border-radius: 5px;
    border: none;
    text-align: center;
    font-size: 14px;
}


.modal-delete h4 {
    text-align: center;
    font-size: 26px;
    margin: 30px 0 -10px;
}

.modal-delete .btn-close {
    position: absolute;
    top: -10px;
    right: -10px;
    background: none;
    border: none;
    padding: 0;
}

.modal-delete .modal-body {
    color: #999;
}

.modal-delete .modal-footer {
    border: none;
    text-align: center;
    border-radius: 5px;
    font-size: 13px;
    padding: 10px 15px 25px;
}

.modal-delete .modal-footer a {
    color: #999;
}

.modal-delete .icon-box {
    width: 80px;
    height: 80px;
    margin: 0 auto;
    border-radius: 50%;
    z-index: 9;
    text-align: center;
    border: 3px solid #f15e5e;
}

.modal-delete .icon-box i {
    color: #f15e5e;
    font-size: 46px;
    display: inline-block;
    margin-top: 13px;
}

.modal-delete .btn {
    color: #fff;
    border-radius: 4px;
    text-decoration: none;
    transition: all 0.4s;
    line-height: normal;
    min-width: 120px;
    border: none;
    min-height: 40px;
    border-radius: 3px;
    margin: 0 5px;
    outline: none !important;
}

.btn-secondary {
    background: #c1c1c1;
    border: none;
    outline: none;
}

.modal-delete .btn-secondary:hover,
.modal-delete .btn-secondary:focus {
    background: #a8a8a8;
}

.modal-delete .btn-danger {
    background: #ee3535;
}

.modal-delete .btn-danger:hover,
.modal-delete .btn-danger:focus {
    background: #ee3535;
}

.trigger-btn {
    display: inline-block;
    margin: 100px auto;
}
.plant-detail-content p{
    text-align: justify;
}
.plant-detail-content img{
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}
/* Table Styling */
.plant-detail-content .table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
    border-collapse: collapse;
}

.plant-detail-content .table th,
.plant-detail-content .table td {
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

.plant-detail-content .table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #dee2e6;
    background-color: #343a40;
    color: #fff;
}

.plant-detail-content .table tbody tr:nth-child(odd) {
    background-color: #f8f9fa;
}

.plant-detail-content .table tbody tr:hover {
    background-color: #e9ecef;
}

.plant-detail-content .table th {
    font-weight: bold;
    text-align: left;
}

.plant-detail-content .table .alert {
    display: flex;
    align-items: center;
    padding: 0.75rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

.plant-detail-content .table .alert-primary {
    color: #084298;
    background-color: #cfe2ff;
    border-color: #b6d4fe;
}

.plant-detail-content .table i {
    cursor: pointer;
    color: #495057;
}

.plant-detail-content .table i:hover {
    color: #343a40;
}

.plant-detail-content .table .fa-ellipsis-v {
    cursor: pointer;
    font-size: 1.25rem;
}
.team-action{
    position: fixed;
    bottom: 3vh;
    right: 1vh;
}
.team-content img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}

.team-comment-input .input {
    font-size: 15px;
    padding: 5px 10px;
    padding-left: 31px;
    outline: none;
    background: #FFFFFF;
    color: #000000;
    border: 1px solid #C4D1EB;
    border-radius: 5px;
    box-shadow: 3px 3px 2px 0px #E2E2E2;
    transition: .3s ease;
    min-width: 250px;
    min-height: 100px;
}

.team-comment-input .input:focus {
    background: #ffffff;
    border: 1px solid var(--green);
    border-radius: 10px;
}

.team-comment-input .input::placeholder {
    color: #AFAFAF;
}


.fa-paper-plane {
    color: var(--green);
}

.team-comment-input button {
    border: none;
    outline: none;
    background-color: transparent;
}
.blog-detail-content img{
    border-radius: .25rem;
    max-width: 100%;
    height: auto;
}
.page-item-main.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: var(--green);
    border-color: var(--green);
}
.dropdown-item:focus{
    background-color: var(--green);
}